<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Constant Field Values (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#org.apache">org.apache.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="org.apache">
<!--   -->
</a>
<h2 title="org.apache">org.apache.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.apache.commons.dbcp2.<a href="org/apache/commons/dbcp2/Constants.html" title="class in org.apache.commons.dbcp2">Constants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.Constants.JMX_CONNECTION_BASE_EXT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/Constants.html#JMX_CONNECTION_BASE_EXT">JMX_CONNECTION_BASE_EXT</a></code></td>
<td class="colLast"><code>",connectionpool=connections,connection="</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.Constants.JMX_CONNECTION_POOL_BASE_EXT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/Constants.html#JMX_CONNECTION_POOL_BASE_EXT">JMX_CONNECTION_POOL_BASE_EXT</a></code></td>
<td class="colLast"><code>",connectionpool="</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.Constants.JMX_CONNECTION_POOL_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/Constants.html#JMX_CONNECTION_POOL_PREFIX">JMX_CONNECTION_POOL_PREFIX</a></code></td>
<td class="colLast"><code>"connections"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.Constants.JMX_STATEMENT_POOL_BASE_EXT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/Constants.html#JMX_STATEMENT_POOL_BASE_EXT">JMX_STATEMENT_POOL_BASE_EXT</a></code></td>
<td class="colLast"><code>",connectionpool=connections,connection="</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.Constants.JMX_STATEMENT_POOL_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/Constants.html#JMX_STATEMENT_POOL_PREFIX">JMX_STATEMENT_POOL_PREFIX</a></code></td>
<td class="colLast"><code>",statementpool=statements"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.apache.commons.dbcp2.<a href="org/apache/commons/dbcp2/PoolingDriver.html" title="class in org.apache.commons.dbcp2">PoolingDriver</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.PoolingDriver.MAJOR_VERSION">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/apache/commons/dbcp2/PoolingDriver.html#MAJOR_VERSION">MAJOR_VERSION</a></code></td>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.PoolingDriver.MINOR_VERSION">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/apache/commons/dbcp2/PoolingDriver.html#MINOR_VERSION">MINOR_VERSION</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.PoolingDriver.URL_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/PoolingDriver.html#URL_PREFIX">URL_PREFIX</a></code></td>
<td class="colLast"><code>"jdbc:apache:commons:dbcp:"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.apache.commons.dbcp2.<a href="org/apache/commons/dbcp2/Utils.html" title="class in org.apache.commons.dbcp2">Utils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.Utils.DISCONNECTION_SQL_CODE_PREFIX">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td><code><a href="org/apache/commons/dbcp2/Utils.html#DISCONNECTION_SQL_CODE_PREFIX">DISCONNECTION_SQL_CODE_PREFIX</a></code></td>
<td class="colLast"><code>"08"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>org.apache.commons.dbcp2.datasources.<a href="org/apache/commons/dbcp2/datasources/InstanceKeyDataSource.html" title="class in org.apache.commons.dbcp2.datasources">InstanceKeyDataSource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="org.apache.commons.dbcp2.datasources.InstanceKeyDataSource.UNKNOWN_TRANSACTIONISOLATION">
<!--   -->
</a><code>protected&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="org/apache/commons/dbcp2/datasources/InstanceKeyDataSource.html#UNKNOWN_TRANSACTIONISOLATION">UNKNOWN_TRANSACTIONISOLATION</a></code></td>
<td class="colLast"><code>-1</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
